Llistar espais de treball destinataris d'una notificació de workspace
Devuelve una llista paginada d’espais de treball destinataris de la notificació indicada, dins de l’organització autoritzada. Si la notificació no existeix a l’abast autoritzat, respon 404. Si existeix amb destinació espais de treball, però no té destinataris, respon 200 amb dades buides. Si existeix amb una destinació diferent d’espais de treball, respon 400. L’agregació no està disponible en aquest punt final.
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": false,
"data": [
{
"id": "507f1f77bcf86cd799439012",
"name": "LAPTOP-001",
"status": "updated",
"total_users_accepted": 3,
"session_id": 42,
"workspace_id": "507f1f77bcf86cd799439099"
}
]
}Autoritzacions
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paràmetres de ruta
Identificador de l'organització.
24^[0-9a-f]{24}$Identificador de la notificació de workspace.
36^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$Paràmetres de consulta
Número de pàgina.
x >= 1Número d'elements per pàgina.
1 <= x <= 100Camps de resposta separats per comes per a cada element.
2048Expressió JSON de filtres sobre camps filtrables del recurs.
5120Expressió d'ordenació amb el format :asc|desc. Per defecte name:asc.
^([a-z_]+):(asc|desc)$curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/workspace-notifications/{workspace_notification_id}/acknowledgements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": false,
"data": [
{
"id": "507f1f77bcf86cd799439012",
"name": "LAPTOP-001",
"status": "updated",
"total_users_accepted": 3,
"session_id": 42,
"workspace_id": "507f1f77bcf86cd799439099"
}
]
}